/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { AttachState } from "@fluidframework/container-definitions";
import { FluidHandleBase } from "@fluidframework/runtime-utils/internal";
/**
 * Mock implementation of IFluidHandle.
 * @legacy
 * @alpha
 */
export class MockHandle extends FluidHandleBase {
    get isAttached() {
        return this.graphAttachState === AttachState.Attached;
    }
    constructor(value, path = `mock-handle-${Math.random().toString(36).slice(2)}`, absolutePath = `/${path}`) {
        super();
        this.value = value;
        this.path = path;
        this.absolutePath = absolutePath;
        this.graphAttachState = AttachState.Detached;
    }
    async get() {
        return this.value;
    }
    attachGraph() {
        this.graphAttachState = AttachState.Attached;
    }
}
//# sourceMappingURL=mockHandle.js.map