/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IChannelStorageService } from "@fluidframework/datastore-definitions/internal";
import { ISummaryTree } from "@fluidframework/driver-definitions";
import { ITree, type ISnapshotTree } from "@fluidframework/driver-definitions/internal";
/**
 * Mock implementation of IChannelStorageService based on ITree input.
 * @legacy
 * @alpha
 */
export declare class MockStorage implements IChannelStorageService {
    protected tree?: ITree | undefined;
    static createFromSummary(summaryTree: ISummaryTree): MockStorage;
    private static readBlobCore;
    private readonly snapshotTree;
    constructor(tree?: ITree | undefined);
    readBlob(path: string): Promise<ArrayBufferLike>;
    contains(path: string): Promise<boolean>;
    list(path: string): Promise<string[]>;
    getSnapshotTree(): ISnapshotTree | undefined;
}
//# sourceMappingURL=mockStorage.d.ts.map